### Name: EMalgo
### Title: Estimation of variance matrices in a Gaussian state space model
### Aliases: EMalgo
### Keywords: models

### ** Examples


m1 <- SS(

Fmat = function(tt,x,phi) { 
Fmat      <- matrix(NA,3,1)
Fmat[1,1] <- 1
Fmat[2,1] <- cos(2*pi*tt/12)
Fmat[3,1] <- sin(2*pi*tt/12) 
return(Fmat) },

Gmat = function(tt,x,phi) { 
return(matrix(c(1,0,0,0,1,0,0,0,1),nrow=3)) },

Wmat = matrix(c(0.01,0,0,0,0.1,0,0,0,0.1),nrow=3),
Vmat = matrix(1),
m0   = matrix(c(0,0,0),nrow=1),
C0   = matrix(c(1,0,0,0,0.001,0,0,0,0.001),nrow=3,ncol=3)
)

m1 <- recursion(m1,100)

Wstruc <- function(W){  
W[1,2:3]<-0
W[2:3,1]<-0
W[2,2]<-(W[2,2]+W[3,3])/2
W[3,3]<-W[2,2]
W[2,3]<-0
W[3,2]<-0
return(W)}

estimates <- EMalgo(m1,Wstruc=Wstruc)
plot(estimates$model)



